Subject: Re: bug#29078: 25.2; font issue with FreeType 2.8; should not use the rounded ascender and descender

From: Vincent Lefevre <[email-masked]>
Date: Mon, 18 Nov 2019 19:20:49 +0100

On 2019-11-18 19:58:57 +0200, Eli Zaretskii wrote:
> > Date: Mon, 18 Nov 2019 19:50:09 +0200
> > From: Eli Zaretskii <[email-masked]>
> > Cc: [email-masked], [email-masked]
> > 
> > My point is that this seems to have nothing to do with the FreeType
> > library or its version, since I see the same on a system that uses
> > neither FreeType nor this particular font.
> 
> And indeed the reason here seems to be that some of the box-drawing
> characters are taken from a different font.
> 
> Could it be that the same happens on your system?  If you press and
> hold the right arrow key on the first line with the boxes (the 3rd
> line of the file, starting from top), do you see the block cursor
> sometimes becoming slightly larger?

No, the block cursor still seems to have the same size.

> If so, the characters where it becomes larger come from a different
> font, which is slightly taller than the default font; delete those
> taller characters, and the gaps should disappear. They did here.

Even if I take just

╔══╦══╗
║┌─╨─┐║

I still see the gap.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)